Knips logoKnips API

Upsert product

Creates a product, or updates the existing one when a matching id or externalId is found in the feed.

POST
/feeds/{feedId}/products

Creates a product, or updates the existing one when a matching id or externalId is found in the feed.

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

feedId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

customProperties?

Construct a type with a set of properties K of type T

externalCollectionIds?array<string>
collectionIds?array<string>
tags?array<string>
isForSale?boolean
currency?string
originalPrice?number
price?number
imageUrl?string
url?string
source?string
vendor?string
status?string
type?string
handle?string
bodyHtml?string
title?string
externalId?string
id?string
curl -X POST "https://example.com/feeds/string/products" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string"}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}